Loading...
Searching...
No Matches
Ogre::MeshLodUsage Struct Reference
Core » Resources

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

## Public Member Functions

| MeshLodUsage ()

## Public Attributes

EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh).
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time.
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use.
Real | userValue
| User-supplied values used to determine on which distance the lod is applies.
Real | value
| Value used by to determine when this LOD applies.

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

## Constructor & Destructor Documentation

## MeshLodUsage()

Ogre::MeshLodUsage::MeshLodUsage | ( |  | ) |

inline

References edgeData, userValue, and value.

## Member Data Documentation

## userValue

Real Ogre::MeshLodUsage::userValue

User-supplied values used to determine on which distance the lod is applies.

This is required in case the LOD strategy changes.

Referenced by MeshLodUsage().

## value

Real Ogre::MeshLodUsage::value

Value used by to determine when this LOD applies.

May be interpreted differently by different strategies. Transformed from user-supplied values with LodStrategy::transformUserValue.

Referenced by MeshLodUsage().

## manualName

String Ogre::MeshLodUsage::manualName

Only relevant if mIsLodManual is true, the name of the alternative mesh to use.

## manualMesh

MeshPtr Ogre::MeshLodUsage::manualMesh

mutable

Hard link to mesh to avoid looking up each time.

## edgeData

EdgeData* Ogre::MeshLodUsage::edgeData

mutable

Edge list for this LOD level (may be derived from manual mesh).

Referenced by MeshLodUsage().

The documentation for this struct was generated from the following file:

- OgreMesh.h